tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From kun yan <kun...@students.uiuc.edu>
Subject mod_jk build on Solaris 2.6
Date Thu, 05 Jul 2001 21:06:51 GMT
Hi,

I installed

Apache 1.3.20
Tomcat 3.2.2

on Solaris.

I tried to build mod_jk.so but get the following error.

gcc -DSOLARIS2=270 -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED
-I/mnt/sdt/kunyan/apache/include -I/usr/java1.2/include/solaris -I../jk
-I/usr/java1.2/include -DSOLARIS  -c mod_jk.c
:
:
gcc -DSOLARIS2=270 -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED
-I/mnt/sdt/kunyan/apache/include -I/usr/java1.2/include/solaris -I../jk
-I/usr/java1.2/include -DSOLARIS  -c ../jk/jk_worker.c
  -o mod_jk.so jk_worker.o jk_util.o jk_uri_worker_map.o jk_sockbuf.o
jk_pool.o jk_nwmain.o jk_msg_buff.o jk_map.o jk_lb_worker.o
jk_jni_worker.o jk_connect.o jk_ajp13_worker.o jk_ajp13.o
jk_ajp12_worker.o mod_jk.o -lposix4
apxs:Break: Command failed with rc=16777215

The command is:
apxs -o mod_jk.so -DSOLARIS
-I/usr/java1.2/include/solaris -I..
/jk -I/usr/java1.2/include -l posix4 -c *.c ../jk/*.c

Does anyone have faced the same problem? How did you solve it?

Any help or hint will be really appreciated.

Regards,

Kun


Mime
View raw message